/// Move a curtain in
/// @access public
/// @group animation transition
/// @param {string} $offset [-70vh] - start animation from
/// @param {string} $duration [.3s] - duration of animation
/// @param {string} $class ['-in'] - class for toggling
/// @param {string} $direction ['Y'] - direction of animation
/// @content show when element is visible
@mixin _curtainToggleAnimation($offset: -70vh, $duration: .3s, $class: '-in', $direction: 'Y') {
  @include _transition(all, $duration, ease-in-out);
  opacity: 0;
  visibility: hidden;
  transform: #{'translate' + $direction + '(' + $offset + ')'};

  &.#{$class} {
    opacity: 1;
    visibility: visible;
    transform: #{'translate' + $direction + '(0)'};

    @content;
  }
}

/// Let list items slide in
/// @access public
/// @group animation transition
/// @param {number} $amount [25] - amount of list items to animate
/// @param {string} $duration [.15s] - animation time
/// @param {string} $direction ['-bottom'] - direction of animation
@mixin _move-list-items-in($amount: 25, $duration: 0.15s, $direction: '-bottom') {
  opacity: 0;
  animation: moveInAnimation#{$direction} $duration 1 ease-in-out;
  animation-fill-mode: both;

  @for $i from 1 through $amount {
    &:nth-child(#{$i}) {
      animation-delay: (0.03s * $i);
    }
  }
}